<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/DupAtom.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::DupAtom</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class DupAtom

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Atoms.hh.html" target="detail">../Synopsis/PTree/Atoms.hh</a></div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDupAtom" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="DupAtom-inheritance" src="DupAtom-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DupAtom-inheritance_map" />
<map name="DupAtom-inheritance_map"><area alt="Scopes/Synopsis/PTree/CommentedAtom.html" href="CommentedAtom.html" shape="rect" coords="5, 82, 229, 106" />
<area alt="Scopes/Synopsis/PTree/Atom.html" href="Atom.html" shape="rect" coords="40, 7, 195, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="DupAtom_lconst.char_S_csize_t_r">DupAtom</a>(const&#160;char*, size_t)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDupAtom_mDupAtom_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="DupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r">DupAtom</a>(const&#160;char*, size_t, const&#160;char*, size_t)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDupAtom_mDupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line48" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref4.html#Synopsis_mPTree_mDupAtom_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line49" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from CommentedAtom">
<tr><td colspan="2" class="heading">Public Member functions Inherited from CommentedAtom</td></tr>
<tr><td class="inherited"><a href="CommentedAtom.html#get_comments_l_r" title="member function CommentedAtom::get_comments&#40;&#41;">get_comments</a>,
<a href="CommentedAtom.html#set_comments_lNode_S_r" title="member function CommentedAtom::set_comments&#40;Node*&#41;">set_comments</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:43 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
